# PSF-LoginServer - master - net.psforever.services.local.LocalAction.TriggerEffectLocation
PSF - LoginServer - master - net.psforever.services.local.LocalAction.TriggerEffectLocation
Keywords: PSF LoginServer master net.psforever.services.local.LocalAction.TriggerEffectLocation

PSF-LoginServer - master < Back


# Packages

-  package root
  Definition Classes
    root
-  package net
  Definition Classes
    root
-  package psforever
  Definition Classes
    net
-  package services
  Definition Classes
    psforever
-  package local
  Definition Classes
    services
-  object LocalAction
  Definition Classes
    local
- Action
- ClearTemporaryHack
- DeployableMapIcon
- DeployableUIFor
- Detonate
- DoorCloses
- DoorOpens
- DoorSlamsShut
- EliminateDeployable
- HackClear
- HackTemporarily
- LluCaptured
- LluDespawned
- LluSpawned
- RechargeVehicleWeapon
- ResecureCaptureTerminal
- RouterTelepadMessage
- RouterTelepadTransport
- SendChatMsg
- SendGenericActionMessage
- SendGenericObjectActionMessage
- SendPacket
- SendPlanetsideAttributeMessage
- SendResponse
- SetEmpire
- ShuttleDock
- ShuttleEvent
- ShuttleState
- ShuttleUndock
- StartCaptureTerminalHack
- StartRouterInternalTelepad
- ToggleTeleportSystem
- TriggerEffect
- TriggerEffectInfo
- TriggerEffectLocation
- TriggerSound
- UpdateForceDomeStatus

c

net.psforever.services.local.LocalAction

# TriggerEffectLocation

###

#### final case class TriggerEffectLocation(player_guid: PlanetSideGUID, effect: String, pos: Vector3, orient: Vector3) extends Action with Product with Serializable

Source
  LocalServiceMessage.scala

Linear Supertypes
Serializable, Product, Equals, Action, AnyRef, Any

Ordering

1. Alphabetic
2. By Inheritance

Inherited

1. TriggerEffectLocation
2. Serializable
3. Product
4. Equals
5. Action
6. AnyRef
7. Any

1. Hide All
2. Show All

Visibility

1. Public
2. Protected

### Instance Constructors

1.  new TriggerEffectLocation(player_guid: PlanetSideGUID, effect: String, pos: Vector3, orient: Vector3)

### Value Members

1.  final def !=(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
2.  final def ##: Int
   Definition Classes
     AnyRef → Any
3.  final def ==(arg0: Any): Boolean
   Definition Classes
     AnyRef → Any
4.  final def asInstanceOf[T0]: T0
   Definition Classes
     Any
5.  def clone(): AnyRef
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.CloneNotSupportedException]) @native()
6.  val effect: String
7.  final def eq(arg0: AnyRef): Boolean
   Definition Classes
     AnyRef
8.  def finalize(): Unit
   Attributes
     protected[lang]
   Definition Classes
     AnyRef
   Annotations
     @throws(classOf[java.lang.Throwable])
9.  final def getClass(): Class[_ <: AnyRef]
   Definition Classes
     AnyRef → Any
   Annotations
     @native()
10.  final def isInstanceOf[T0]: Boolean
    Definition Classes
      Any
11.  final def ne(arg0: AnyRef): Boolean
    Definition Classes
      AnyRef
12.  final def notify(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
13.  final def notifyAll(): Unit
    Definition Classes
      AnyRef
    Annotations
      @native()
14.  val orient: Vector3
15.  val player_guid: PlanetSideGUID
16.  val pos: Vector3
17.  def productElementNames: Iterator[String]
    Definition Classes
      Product
18.  final def synchronized[T0](arg0: => T0): T0
    Definition Classes
      AnyRef
19.  final def wait(): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
20.  final def wait(arg0: Long, arg1: Int): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException])
21.  final def wait(arg0: Long): Unit
    Definition Classes
      AnyRef
    Annotations
      @throws(classOf[java.lang.InterruptedException]) @native()

### Inherited from Serializable

### Inherited from Product

### Inherited from Equals

### Inherited from Action

### Inherited from AnyRef

### Inherited from Any

### Ungrouped